Subject: Re: [PATCH] pull: require choice between rebase/merge on non-fast-forward pull

From: Matthieu Moy <[email-masked]>
Date: Fri, 28 Jun 2013 08:34:53 +0200

"W. Trevor King" <[email-masked]> writes:

> On Thu, Jun 27, 2013 at 12:48:52PM -0700, Junio C Hamano wrote:
>> Because letting a trivial merge automatically handled by Git is so
>> easy with "git pull", a person who is new to Git may not realize
>> that the project s/he is interacting with may prefer "rebase"
>> workflow.
>
> Or they may not even realize that they've just merged an unrelated
> branch at all, dragging in a thousand unrelated commits which they
> accidentally push to a central repository without looking,
> contaminating future branches based on the central repostitory without
> drastic rebase surgery ;).  I just saw one of these earlier this week.

I don't understand how the change would solve this. If "pull" would drag
a lot of commits in the current branch, the "rebase" will rebase the
current branch on a totally different history, and pushing the result
would be equally bad.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/